> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketenv.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Sandbox



## OpenAPI

````yaml POST /io.pocketenv.sandbox.claimSandbox
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol PDS XRPC server
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: io.pocketenv.actor
  - name: app.bsky.actor
  - name: io.pocketenv.file
  - name: io.pocketenv.port
  - name: io.pocketenv.publicKey
  - name: io.pocketenv.sandbox
  - name: io.pocketenv.secret
  - name: io.pocketenv.service
  - name: com.atproto.repo
  - name: io.pocketenv.variable
  - name: io.pocketenv.volume
paths:
  /io.pocketenv.sandbox.claimSandbox:
    post:
      tags:
        - io.pocketenv.sandbox
      summary: Claim a sandbox by id
      operationId: io.pocketenv.sandbox.claimSandbox
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/io.pocketenv.sandbox.defs.sandboxViewBasic
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    io.pocketenv.sandbox.defs.sandboxViewBasic:
      type: object
      properties:
        name:
          type: string
          description: Name of the sandbox
          maxLength: 50
        provider:
          type: string
          description: >-
            The provider of the sandbox, e.g. 'daytona', 'vercel', 'cloudflare',
            etc.
          maxLength: 50
        description:
          type: string
          maxLength: 3000
        website:
          type: string
          description: Any URI related to the sandbox
          format: uri
        logo:
          type: string
          description: URI to an image logo for the sandbox
          format: uri
        topics:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 50
          maxItems: 50
        repo:
          type: string
          description: >-
            A git repository URL to clone into the sandbox, e.g. a
            GitHub/Tangled repo.
        readme:
          type: string
          description: A URI to a README for the sandbox.
          format: uri
        vcpus:
          type: integer
        memory:
          type: integer
        disk:
          type: integer
        ports:
          type: array
          items:
            type: integer
            minimum: 1025
            maximum: 65535
          maxItems: 100
        installs:
          type: integer
        createdAt:
          type: string
          format: date-time
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````